//
// Created by imi415 on 2019/12/17.
//

#ifndef STM32H750VB_BOOTLOADER_BOOTLOADER_CONTROL_H
#define STM32H750VB_BOOTLOADER_BOOTLOADER_CONTROL_H

HAL_StatusTypeDef BL_CheckValidImage(uint32_t base_address);
uint32_t BL_GetEntryPoint(uint32_t base_address);
void BL_JumpToXIPStart(uint32_t entry_point, uint32_t vector_base);

#endif //STM32H750VB_BOOTLOADER_BOOTLOADER_CONTROL_H
